<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="menuList.aspx.cs" Inherits="ZYDN.Web.child.manger.menuList" %>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head runat="server">
        <title>栏目列表</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="../../system/skins/CSS/main.css" />
        <link rel="stylesheet" type="text/css" href="../../system/skins/CSS/Sys.css" />
        <link rel="stylesheet" type="text/css" href="../../system/myWeb/CSS/myWeb.css" />
        <link rel="stylesheet" type="text/css" href="css/child.css" />
        <script language="javascript" type="text/javascript" src="../../system/JS/JFramework.js"></script>
        <script language="javascript" type="text/javascript" src="../../system/JS/Sys.js"></script>
        <script language="javascript" type="text/javascript" src="js/treeMenu.js"></script>
        <script language="javascript" type="text/javascript" src="js/divStyle.js"></script>
        <script language="javascript" type="text/javascript">
            var objAjax=new JAjax();
            var menuLst=new treeModeClass();
            var menuid=readPar(location.href,"menuid");     
            function loadPage(){
        	    if(menuid==null||menuid=="")
        	    {
        	       document.writeln("参数传入错误");
        	       return;
        	    }else{
        	        setDiv();
     	            if(menuLst.readIsPop(menuid)){
        	            var tools=new toolsClass();
        	            tools.add("","创建栏目","menuLst.createMenu()","创建栏目");
        	            tools.add("","编辑栏目","menuLst.editorMenu()","编辑栏目");
                        tools.add("","删除栏目","menuLst.delMenu()","删除选定的文章或栏目,\n删除后可以在回收站找到他们");
                        tools.add("","添加数据","menuLst.setFile()","添加数据");
                        tools.add("","编辑数据","menuLst.modiData()","编辑数据");
                        tools.add("","删除数据","menuLst.delFilters()","删除数据");
                        tools.add("","站点设置","menuLst.setChildWeb()","站点设置");
                        tools.add("","设置模版","menuLst.setModel()","设置模版");
                        tools.add("","刷新","menuLst.onloadproto()","刷新当前页面");
                        tools.create(toolsDiv);
                        menuLst.menuid=menuid;
	                    menuLst.readMenu(menuid);
	                }else{
	                   document.writeln("当前你没有权限");
	                   return;
	                }
	            }	      
            } 
           function setDiv(){
                try{
                    var obj=document.getElementById("fileList");
                    var h=Element.getHeight(obj.parentElement);
                    obj.style.height=(h-45)+"px";
                }catch(e){}
               
           }     
        </script>    
    </head>
    <body onload="loadPage()" oncontextmenu="return false;" onresize="setDiv()" onselectstart="return false">    
          <form id="form1" runat="server">
                <table style="width:100%; height:100%" border="0" cellpadding="0" cellspacing="0">
                     
                    <tr><td colspan="2" style="width:100%; height:30px;"><div id="toolsDiv"></div></td></tr>
                    <tr>
                        <td style="width:200px; height:100%;">
                            <div id="leftMenu" style="overflow:auto; height:100%; width:197px;border:solid 1px #cccccc;"></div>
                         </td>
                        <td  style="width:100%;height:100%; vertical-align:top;  text-align:left;border:solid 1px #cccccc;border-left:0px;">
                            <div id="rightDiv" style="overflow:hidden; width:100%;height:100%;">
		                            <div id="fileTitle" style="width:100%;">
			                            <div class="fileTitleText" id="titleText1"> ID </div>
			                            <div class="fileTitleText" id="titleText2"> 名字 </div>
			                            <div class="fileTitleText" id="titleText3"> 修改日期 </div>
			                            <div class="fileTitleText" id="titleText4"> 创建人 </div>
			                            <div class="fileTitleText" id="titleText5"> 简介 </div>
		                            </div>
		                            <div id="fileList" style="width: 100%; overflow-y:scroll; overflow-x:auto;border-bottom:solid 1px #cccccc;" onload="setDiv(this)"></div>		
		                            <div id="page" style="height:20px;padding-top:3px"></div>
	                          </div>
                        </td>
                    </tr>                
                </table> 
            </form>         
    </body>
</html>
